## ros-indigo-abb-irb6640-support 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(abb_irb6640_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-abb-irb6640-support (1.2.1-0trusty) trusty; urgency=high

  * Create a copy of abb_irb6600_support and rename to abb_irb6640_support
  * Contributors: Levi Armstrong

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.2.0-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sat, 06 Jun 2015 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.9-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Tue, 07 Apr 2015 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.8-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 06 Apr 2015 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.7-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Wed, 01 Apr 2015 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.6-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Tue, 17 Mar 2015 19:18:00 -0000

ros-indigo-abb-irb6640-support (1.1.5-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Tue, 17 Mar 2015 13:29:00 -0000

ros-indigo-abb-irb6640-support (1.1.4-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sun, 14 Dec 2014 06:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.3-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Fri, 05 Sep 2014 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.2-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sat, 07 Jun 2014 05:00:00 -0000

ros-indigo-abb-irb6640-support (1.1.1-0trusty) trusty; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Tue, 27 May 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-abb-irb6640-support
Section: misc
Priority: extra
Maintainer: Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch (>= 1.9.55)
Homepage: http://wiki.ros.org/abb_irb6640_support
Standards-Version: 3.9.2

Package: ros-indigo-abb-irb6640-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-abb-driver, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher, ros-indigo-rviz, ros-indigo-xacro
Description: ROS-Industrial support for the ABB IRB 6640 (and variants).
 This package contains configuration data, 3D models and launch files for ABB IRB 6640 manipulators. This currently includes the IRB 6640-185/2.8m (6640-185) only. Joint limits and max joint velocities are based on the information in the ABB IRB 6640 technical data sheet (Version: 3HAC 028284-001 Rev. N). All urdfs / xacros are based on the default motion and joint velocity limits, unless noted otherwise (ie: no support for high speed joints, extended / limited motion ranges or other options). Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-abb-irb6640-support//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
